LOGNAME(1)

NAME
logname - get the name by which you logged in

SYNOPSIS
logname

DESCRIPTION
logname returns the contents of the environment variable LOGNAME, which is set when a user logs into the system.

FILES
/etc/profile

SEE ALSO
env(1), login(1), environ(5V)

NOTES

The following warnings apply when login accounts contain characters outside the range of 7-bit ASCII:

•   A user cannot rlogin to account-name containing 8-bit characters from a system that does not handle 8-bit characters.

•   A user cannot log in to account-name containing 8-bit characters from a 7-bit ASCII terminal (through a modem, for example).

•   Several parts of the C library are not tested for 8-bit user names.

•   Codeset mapping can vary between systems, so an 8-bit pattern can represent different characters on different sytems.

•   Password algorithms do not work with 8-bit characters.